package sprzedaz.strumieniowo;

import java.util.List;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

public class P3_Miasta_v3 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        
        Map<String, Integer> mapa = transakcje.stream()
                .map(Transakcja::getMiasto)
                .collect(Collectors.toMap(Function.identity(), x -> 1, Integer::sum));
        
        mapa.forEach((k, v) -> {
            System.out.println(k + ": " + v);
        });
    }

}
